#!/usr/bin/wish
#

source lib/sie_lib.tcl
source lib/gsm_lib.tcl
source lib/sms_lib.tcl

set debuglevel 0
set GSM_TTY_DEVICE /dev/modem

#
# end of user modifyable settingd
#
#################################################################
#                                                               #
#        L E T ' S    S T A R T . . .                           #
#                                                               #
#################################################################

#######################################################################
#
#

InitDevice $GSM_TTY_DEVICE

set smslist {}
set sms [r_message_mode $SMS_MSG_MODE(ALL) 1]

if {$argc>0} {
  set smslist [list [lindex $argv 0]]
} else {
  set smslist {}
  foreach msg $sms {lappend smslist [lindex $msg 0]}
}

foreach idx $smslist {
puts "---------------------------------------------------------------------"
  set sms [r_message_number $idx]
  set sta [lindex $sms 0]
  set pdu [lindex $sms 3]
  set msg [sms_message2txt $pdu]
  puts "SMS Meldung $idx"
  puts "Status: $SMS_MSG_STAT($sta)"
  puts "Service Center Address: [pdu2phone $SMS_FLAG(SCA)]"
  if {$PDU_TYPE(MTI)} {
    puts "Gltigkeitsdauer: [get_vp_value $SMS_FLAG(VP) $PDU_TYPE(VPF)]"
    puts "Empfnger: [pdu2phone $SMS_FLAG(DA)]"
  } else {
puts "SMS_FLAG(SCTS)=$SMS_FLAG(SCTS)]"
    puts "Uhrzeit: [pdu2time $SMS_FLAG(SCTS)]"
    puts "Absender: [pdu2phone $SMS_FLAG(OA)]"
  }
  puts "Text: $msg"
} 
puts "====================================================================="

CloseDevice
exit 0 
